﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using kfc;

namespace UnitTestProject
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void SumTest()
        {
            var page = new kfc.Windows.Window2();

            int sum, price, exp, res;

            //1
            sum = 120;
            price = 150;
            exp = 270;
            res = page.GetNewSum(sum, price);

            Assert.AreEqual(exp, res);

            //2
            sum = 80;
            price = 100;
            exp = 180;
            res = page.GetNewSum(sum, price);

            Assert.AreEqual(exp, res);

            //3
            sum = 180;
            price = 60;
            exp = 240;
            res = page.GetNewSum(sum, price);

            Assert.AreEqual(exp, res);
        }

        [TestMethod]
        public void Fondan()
        {
            var page = new kfc.Windows.Window2();

            page.AddNewProduct("Фондан\t\t\t\t99 p.");
            StringAssert.Contains(page.bracket, "Фондан\t\t\t\t99 p."); ;
        }
    }
}
